QGIS Application - Bug report #18094
node tool batch vertex selection mode seems broken
2018-02-13 08:12 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25990
Description

Hi

| tested again the batch selection mode of vertices described here [[https://github.com/qgis/QGIS/pull/5479]] and | can't see any effect of
the SHIT+R modifier.

| tested on d182138.
Is there any possibility to have unit tests for that?

Moreover, there is no user feeddback that this mode exists and is activated and it seems annoying.

History

#1 - 2018-02-13 09:21 PM - Saber Razmjooei

Have you tried SHIFT + R?

#2 - 2018-02-13 09:39 PM - Nyall Dawson

Saber wins the day!

#3 - 2018-02-13 09:47 PM - Nyall Dawson
- Status changed from Open to Feedback

Works fine here. Node tool, shift+R to start, click first vertex, click last vertex.

#4 - 2018-02-14 06:38 PM - Regis Haubourg

Saber Razmjooei wrote:

Have you tried SHIFT + R?

Ooooh SH....t , Never ever raise an issue late in a train :) . BTW a "SHIT" key on a keyboard wouldn't be a so bad idea.

| retested again with the latest build and it works finally. | think there is some usability issue because in normal mode, clicking on a vertex "grabs" the vertex
immediatly, when on batch mode, it is just selecting the node as before.
https://github.com/qgis/QGIS/pull/5479

Let's see how it turns for users after the release, but my guess is that we'll have to make it more clear in the GUI, because most users won't find it.

| see two options,

- the current shiFt + R (lol again) + a status bar button / indicator
- or a dropdown selector for node tool, with two different node tools.

Thanks for testing, | owe you all a beer :)

Régis

#5 - 2018-02-14 06:38 PM - Regis Haubourg

- Status changed from Feedback to Closed

#6 - 2018-02-21 05:53 PM - Giovanni Manghi

- Resolution set to not reproducable

- Pull Request or Patch supplied changed from No to Yes
